[global]
log level = 1
workgroup = arda
netbios name = iluvatar
server string = iluvatar
domain master = Yes
local master = Yes
domain logons = Yes
os level = 40
preferred master = Yes
lock directory = /var/cache/samba
passwd program = /usr/bin/smbldap-passwd ?u %u
ldap passwd sync = Yes
passdb backend = ldapsam:ldap://127.0.0.1/
security = user
ldap admin dn = cn=root,dc=arda
ldap suffix = dc=arda
ldap group suffix = ou=group
ldap user suffix = ou=people
ldap machine suffix = ou=machines
add user script = /usr/bin/smbldap-useradd -a -m "%u"
ldap delete dn = Yes
delete user script = /usr/bin/smbldap-userdel "%u"
add machine script = /usr/bin/smbldap-useradd -W "%u"
add group script = /usr/bin/smbldap-groupadd -p "%g"
delete group script = /usr/bin/smbldap-groupdel "%g"
add user to group script = /usr/bin/smbldap-groupmod -m "%u" "%g"
delete user from group script = /usr/bin/smbldap-groupmod -x "%u" "%g"
set primary group script = /usr/bin/smbldap-usermod -g "%g" "%u"
socket options = TCP_NODELAY SO_RCVBUF=8192 SO_SNDBUF=8192
case sensitive = No
default case = lower
preserve case = yes
short preserve case = Yes
dns proxy = No
wins support = Yes
hosts allow = 172.16.0.0/12 127.0.0.0/8 192.168.100.0/24
winbind use default domain = Yes
nt acl support = Yes
msdfs root = Yes
hide files = /desktop.ini/ntuser.ini/NTUSER.*/
ldap ssl = no
admin users = root
log file = /var/log/samba/%m
logon script = logon.bat
load printers = No
[homes]
   comment = Home Directories
   browseable = no
   writable = yes
[netlogon]
   path = /usr/lib/samba/netlogon
   writable = no
   browseable = no
[public]
   comment = Public Stuff
   path = /export/share
   public = yes
   writable = yes
   printable = no
[documents]
   path = /export/documents
   writable = no
   hide dot files = yes
   veto files = /./../
   guest ok = no
   browseable = yes 
   printable = no
[devoirs]
   path = /export/devoirs
   writable = yes
   guest ok = no
   hide dot files = yes
   veto files = /./../
   browseable = yes
   printable = no

